using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert HTML to Word-RTF in memory			
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com		
			
			SautinSoft.HtmlToRtf objH = new SautinSoft.HtmlToRtf();
			//objH.Serial = "XXXXXXXXXXXXXXX";
			

			//set some options
			objH.PageStyle.PageSize.Letter();
			objH.PageStyle.PageMarginLeft.mm(20f);

			string html="";
			string word="";

			//1. Read contents of HTML document
			html = ReadFileString(@"..\..\..\..\..\..\Testing HTMLs\UTF-8 Sampler.htm");

			//Set 'BaseUrl' that component can find a full path to .css and images
			objH.BaseURL = @"..\..\..\..\..\..\Testing HTMLs\";

			//2. Convert HTML to RTF in memory			
			word = objH.ConvertString(html);
			
			if(word!="")
			{
				//3. Save to RTF document
				int ret = WriteToFile(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf",word);
				if (ret==0)
					System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			}
		}
		public static string ReadFileString(string path)
		 {	
			 using (StreamReader reader = new StreamReader(path))
			 {				
				 return reader.ReadToEnd();
			 }

		 }
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
