using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Convert Text to RTF in memory
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com		
			
			SautinSoft.HtmlToRtf objH = new SautinSoft.HtmlToRtf();
			//objH.Serial = "XXXXXXXXXXXXXXX";
			

			//set some options
			objH.PageStyle.PageSize.Letter();
			objH.PageStyle.PageMarginLeft.mm(20f);

			string text="";
			string rtf="";

			//1. Read contents of Text document
			text = ReadFileString(@"..\..\..\..\..\..\Testing HTMLs\Document.txt");

			//1.5 Set that input format is Text
			objH.InputFormat = SautinSoft.HtmlToRtf.eInputFormat.Text;
			
			//2. Convert Text to RTF in memory			
			rtf = objH.ConvertString(text);
			
			if(rtf!="")
			{
				//3. Save to RTF document
				int ret = WriteToFile(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf",rtf);
				if (ret==0)
					System.Diagnostics.Process.Start(@"..\..\..\..\..\..\Testing HTMLs\Word document.rtf");
			}
		}
		public static string ReadFileString(string path)
		{	
			 using (StreamReader reader = new StreamReader(path))
			 {				
				 return reader.ReadToEnd();
			 }
		}
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
