using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Insert one RTF document inside another RTF in memory			 
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com
						
			SautinSoft.HtmlToRtf objH = new SautinSoft.HtmlToRtf();
			//objH.Serial = "XXXXXXXXXXXXXXX";
			
			string firstRtf="";
			string secondRtf="";
			string singleRtf="";
			string stringToReplace = "{replace me}";

			//1. Read contents of the RTF files
			firstRtf=ReadFileString(@"d:\report1.rtf");
			secondRtf=ReadFileString(@"d:\report2.rtf");
			

			/// <summary>
			/// Replaces all matches of string "whatReplaceInRtf" by the string "wherewithReplaceInRtf" and returns a new RTF document
			/// </summary>
			//In this example replaces all matches of the string "{replace me}" by the string from variable 'secondRtf'
			singleRtf = objH.MergeAndReplaceRtfString(firstRtf,stringToReplace, secondRtf);
			
			//New RTF string based on rtfSource
			//null - operation failed
			if(singleRtf!="")
			{
				
				int ret=WriteToFile(@"d:\single.rtf",singleRtf);
				if (ret==0)
					System.Diagnostics.Process.Start(@"d:\single.rtf");
			}
		}
		public static string ReadFileString(string path)
		{	
			using (StreamReader reader = new StreamReader(path))
			{				
				return reader.ReadToEnd();
			}

		}
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
