using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Insert one RTF file inside another RTF file			
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com
						
			SautinSoft.HtmlToRtf objH = new SautinSoft.HtmlToRtf();
			//objH.Serial = "XXXXXXXXXXXXXXX";
			
			
			/// <summary>
			/// Replaces all matches of string "whatReplaceInRtf" in RTF file "rtfSourcePath" by the RTF string "wherewithReplaceRtf".
			/// </summary>
		
			//In this example replaces all matches of "document" by the contents of file report2.rtf
			int ret = objH.MergeAndReplaceRtfFileFromFile(@"d:\report1.rtf", "document", @"d:\report2.rtf", @"d:\single.rtf");

			/// <returns>
			/// 0 - merged successfully<br />
			/// 1 - can't open RTF source file<br />
			/// 3 - merging failed<br />
			/// 4 - can't create output file, check the output path<br />
			/// </returns>
			if(ret==0 )
			{
				System.Diagnostics.Process.Start(@"d:\single.rtf");
			}
		}
	}
}
